org.eclipse.graphiti.features

## Interface ICopyFeature

All Superinterfaces:
  IDescription, IFeature, IFeatureProviderHolder, IName

All Known Implementing Classes:
  AbstractCopyFeature

    public interface ICopyFeature
    extends IFeature

The Interface ICopyFeature.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canCopy(ICopyContext context)` Can copy.
`void` `copy(ICopyContext context)` Copy.

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Method Detail

#### copy

    void copy(ICopyContext context)

Copy.

Parameters:
  `context` - the context

#### canCopy

    boolean canCopy(ICopyContext context)

Can copy.

Parameters:
  `context` - the context
Returns:
  true, if successful